Categories:
  - Games
License: GPL-3.0-or-later
AuthorName: DeepDaikon
AuthorEmail: deepdaikon@tuta.io
WebSite: https://gitlab.com/deepdaikon/Zoysii
SourceCode: https://gitlab.com/deepdaikon/Zoysii/tree/HEAD
IssueTracker: https://gitlab.com/deepdaikon/Zoysii/issues
Translation: https://translate.deepdaikon.xyz/engage/zoysii/
Changelog: https://gitlab.com/deepdaikon/Zoysii/tree/HEAD/CHANGELOG
Donate: https://deepdaikon.xyz/donate
Liberapay: deepdaikon

AutoName: Zoysii

RepoType: git
Repo: https://gitlab.com/deepdaikon/Zoysii.git

Builds:
  - versionName: 1.0.1
    versionCode: 2
    commit: v1.0.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.7.8
    rm:
      - ios
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.0.2
    versionCode: 3
    commit: v1.0.2
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.7.8
    rm:
      - ios
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.0
    versionCode: 6
    commit: v1.3.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.7.8
    rm:
      - ios
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.0
    versionCode: 7
    commit: v2.0.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.12.13+hotfix.5
    rm:
      - ios
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.1
    versionCode: 8
    commit: v2.0.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.12.13+hotfix.5
    rm:
      - ios
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.1.0
    versionCode: 9
    commit: v2.1.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.12.13+hotfix.5
    rm:
      - ios
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.2.0
    versionCode: 10
    commit: v2.2.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@1.22.5
    rm:
      - ios
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.3.0
    versionCode: 11
    commit: 88409a6ad77718ee34bf2c7c6600b96e149cca3d
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@1.22.5
    rm:
      - ios
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.4.0
    versionCode: 12
    commit: 32d02a6be4b8d7e02e98ec345a8ead554f15974f
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 2.4.0
CurrentVersionCode: 12
